print {maigesPack} | R Documentation

## Method to print a nice visualisation of the objects defined in this package

### Description

Generic function `print` to display a nice (and simple) visualisation of the objects define in this package.

### Usage

    ## S3 method for class 'maigesPreRaw':
    print(x, ...)

    ## S3 method for class 'maigesRaw':
    print(x, ...)

    ## S3 method for class 'maiges':
    print(x, ...)

    ## S3 method for class 'maigesDE':
    print(x, ...)

    ## S3 method for class 'maigesDEcluster':
    print(x, ...)

    ## S3 method for class 'maigesClass':
    print(x, ...)

    ## S3 method for class 'maigesRelNetB':
    print(x, ...)

    ## S3 method for class 'maigesRelNetM':
    print(x, ...)

    ## S3 method for class 'maigesActMod':
    print(x, ...)

    ## S3 method for class 'maigesActNet':
    print(x, ...)

### Arguments

`x` | an object of any class defined in this package
`...` | further arguments passed to or from other methods

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`print` in the base package.

### Examples

    ## Loading the dataset
    data(gastro)

    print(gastro)
    print(gastro.raw)
    print(gastro.norm)
    print(gastro.summ)

[Package maigesPack version 1.4.0 Index]